# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: ttl
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 100
    value: 3
    widgetParameters: {min: 0}
    translations: [{code: en, option_name: 'Download link TTL (days)', option_comment: 'Set zero for unlimited access. If you are using Cloud storage Signed URLs, TTL is limited to 7 days.'}, {code: ru, option_name: 'Время действия ссылки на скачку (в днях)', option_comment: 'При значении 0 - неограниченный доступ. Для ссылок хранилища, подписанных ключом, время ограничено 7 днями.'}]
    module: CDev\Egoods
  - name: attempts_limit
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 200
    value: 3
    widgetParameters: {min: 0}
    translations: [{code: en, option_name: 'Downloads limit (per 1 ordered item)', option_comment: 'Set zero for unlimited access. If you are using Cloud storage Signed URLs, this settings controls the limit of link renewal, because it is impossible to control downloads on the Signed URL.'}, {code: ru, option_name: 'Лимит скачек (на 1 позицию заказа)', option_comment: 'При значении 0 - безлимитный доступ. Для ссылок хранилища, подписанных ключом, эта настройка контролирует количество доступов к ссылке, так как невозможно ограничить количество скачек по такой ссылке.'}]
    module: CDev\Egoods
  - name: enable_history
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Checkbox\YesNo
    orderby: 300
    value: 1
    translations: [{code: en, option_name: 'Keep a history of downloads', option_comment: 'Cloud storage Signed URLs are counted per link access (not download), because X-Cart can not track downloads on the Cloud Storage.'}, {code: ru, option_name: 'Сохранять историю загрузок', option_comment: 'Для ссылок хранилища, подписанных ключом, учитывается количество доступов, а не скачек, так как X-Cart не имеет доступа к истории скачек облачного хранилища.'}]
    module: CDev\Egoods
  - name: esd_fullfilment
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Checkbox\YesNo
    orderby: 400
    translations: [{code: en, option_name: 'Show only ESD related fulfillment statuses', option_comment: 'With this option enabled, only 3 statuses will be available: New, Delivered and Will Not Deliver. You can rename the statuses as you require using the "Custom Order Statuses" module'}, {code: ru, option_name: 'Отображать только статусы для цифровой дистрибуции', option_comment: 'При включении данной настройки будет доступны только 3 статуса доставки: Новый, Доставлен и Доставка отменена. Переименовать их можно при помощи модуля Custom Order Statuses'}]
    module: CDev\Egoods
  - name: approve_before_download
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Checkbox\YesNo
    orderby: 500
    translations: [{code: en, option_name: 'Approve before providing access to download'}, {code: ru, option_name: 'Одобрение перед предоставлением доступа на скачивание'}]
    module: CDev\Egoods
  - name: sendfile_info
    category: CDev\Egoods
    type: CDev\Egoods\View\FormField\Label\Sendfile
    orderby: 600
    module: CDev\Egoods
  - name: amazon_separator
    category: CDev\Egoods
    type: separator
    orderby: 1000
    value: 0
    translations: [{code: en, option_name: 'Cloud storage Signed URLs'}]
    module: CDev\Egoods
  - name: enable_signed_urls
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Checkbox\YesNo
    orderby: 1100
    value: 0
    translations: [{code: en, option_name: 'Enable usage of Presigned URLs for Cloud storage links', option_comment: 'Use Cloud storage to host your digital files on Amazon S3 or Digital Ocean space and control access to your e-goods by presigned URLs. Learn more at <a href="https://support.x-cart.com/en/articles/4883402-about-e-goods" target="_blank">E-goods module</a> article at X-Cart Knowledge Base.'}, {code: ru, option_name: 'Включить ссылки, подписанные ключом, для файлов на хранилище', option_comment: 'С помощью хранилища можно экономить серверное дисковое пространство и контролировать доступ к скачиваемым товарам. Подробнее о конфигурации можно узнать на странице <a href="https://support.x-cart.com/en/articles/4883402-about-e-goods" target="_blank">Цифровые товары</a> в базе знаний X-Cart.'}]
    module: CDev\Egoods
  - name: storage_type
    category: CDev\Egoods
    type: CDev\Egoods\View\FormField\StorageType
    orderby: 1200
    value: as3
    translations: [{code: en, option_name: Storage}]
    module: CDev\Egoods
  - name: amazon_access
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Text
    orderby: 1300
    value: ''
    translations: [{code: en, option_name: 'Access Key'}]
    module: CDev\Egoods
  - name: amazon_secret
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Text
    orderby: 1400
    value: ''
    translations: [{code: en, option_name: 'Secret Key'}]
    module: CDev\Egoods
  - name: bucket
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Text
    orderby: 1500
    value: ''
    translations: [{code: en, option_name: 'Bucket name'}, {code: ru, option_name: Bucket}]
    module: CDev\Egoods
  - name: bucket_region
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Text
    orderby: 1600
    value: us-east-1
    translations: [{code: en, option_name: 'Bucket region', option_comment: 'If not specified, the bucket region will be detected based on the URL. If the region cannot be detected, the default region us-east-1 will be used.'}]
    module: CDev\Egoods
  - name: do_endpoint
    category: CDev\Egoods
    type: XLite\View\FormField\Input\Text
    orderby: 1700
    value: ''
    translations: [{code: en, option_name: 'Digital Ocean Endpoint'}]
    module: CDev\Egoods
XLite\Model\LanguageLabel:
  - name: 'Product removed'
    translations: [{code: en, label: 'Product removed'}]
  - name: 'Attachment removed'
    translations: [{code: en, label: 'Attachment removed'}]
  - name: 'Order is not processed'
    translations: [{code: en, label: 'Order has not yet been processed'}]
  - name: 'Expired by limit'
    translations: [{code: en, label: 'Expired: Downloads limit has been reached'}]
  - name: 'Downloads left'
    translations: [{code: en, label: 'Downloads left'}]
  - name: 'Expired by TTL'
    translations: [{code: en, label: 'Download TTL has expired'}]
  - name: 'Expires in'
    translations: [{code: en, label: 'Expires in'}]
  - name: 'Blocked by administrator'
    translations: [{code: en, label: 'Blocked by administrator'}]
  - name: 'Available for download'
    translations: [{code: en, label: 'Available for download'}]
  - name: 'Can be downloaded only after buying the product'
    translations: [{code: en, label: 'Can be downloaded only after buying the product'}]
  - name: 'Global eGood settings'
    translations: [{code: en, label: 'Global eGoods settings'}]
  - name: 'Download link is blocked'
    translations: [{code: en, label: 'Download link is blocked'}, {code: ru, label: 'Ссылка для скачивания заблокирована'}]
  - name: 'Download links is blocked'
    translations: [{code: en, label: 'Download links is blocked'}, {code: ru, label: 'Ссылки для скачивания заблокирована'}]
  - name: 'Download link did not found'
    translations: [{code: en, label: 'Download link has not been found'}]
  - name: 'Download link is not active'
    translations: [{code: en, label: 'Download link is not active'}]
  - name: 'Download link is renew'
    translations: [{code: en, label: 'Download link has been renewed'}, {code: ru, label: 'Ссылка для скачивания обновлена'}]
  - name: 'Download links is renew'
    translations: [{code: en, label: 'Download links has been renewed'}, {code: ru, label: 'Ссылки для скачивания обновлены'}]
  - name: 'less one hour'
    translations: [{code: en, label: 'less than one hour'}]
  - name: E-goods
    translations: [{code: en, label: E-goods}]
  - name: 'Ordered files'
    translations: [{code: en, label: 'Ordered files'}]
  - name: 'Egoods paid'
    translations: [{code: en, label: Paid}, {code: ru, label: Платный}]
  - name: 'Egoods free'
    translations: [{code: en, label: Free}, {code: ru, label: Бесплатный}]
  - name: Free/Paid
    translations: [{code: en, label: Free/Paid}]
  - name: 'Your payment module to accept payments for digital items. [Get it now]!'
    translations: [{code: en, label: 'Your payment module to accept payments for digital items. <a href="{{url}}" target="_blank">Get it now</a>!'}, {code: ru, label: 'Продаёшь цифровые товары? Устрой тест-драйв нашему <a href="{{url}}" target="_blank">новому модулю</a> и начни принимать платежи прямо сейчас.'}]
  - name: 'Available after purchase'
    translations: [{code: en, label: 'Available after purchase'}, {code: ru, label: 'Доступен после покупки'}]
  - name: 'Re-upload file'
    translations: [{code: en, label: 'Re-upload file'}, {code: ru, label: 'Повторно загрузить'}]
  - name: 'History of downloads'
    translations: [{code: en, label: 'History of downloads'}, {code: ru, label: 'История загрузок'}]
  - name: 'The product''s history of downloads is empty'
    translations: [{code: en, label: 'The product''s history of downloads is empty'}, {code: ru, label: 'История загрузок для этого товара пуста'}]
  - name: 'The history of downloads feature for this product is disabled. You can enable it here'
    translations: [{code: en, label: 'The history of downloads feature for this product is disabled. You can enable it <a href=''{{link}}''>here</a>'}, {code: ru, label: 'Сохранение истории загрузок для данного товара отключено. Вы можете включить его <a href="{{link}}">здесь</a>'}]
  - name: 'File is available by public URL'
    translations: [{code: en, label: 'File is available by public URL'}, {code: ru, label: 'Файл доступен по публичной ссылке'}]
  - name: 'Order fulfilment status changed from {{oldStatus}} to {{newStatus}} by file download'
    translations: [{code: en, label: 'Order fulfillment status changed from {{oldStatus}} to {{newStatus}} due to the file having been downloaded by the user.'}, {code: ru, label: 'Статус доставки изменился с {{oldStatus}} на {{newStatus}} в связи с загрузкой файла пользователем'}]
  - name: 'Use X-Sendfile to facilitate the download of large file attachments (100 Mb and larger) by customers:'
    translations: [{code: en, label: 'Use X-Sendfile to facilitate the download of large file attachments (100 Mb and larger) by customers:'}, {code: ru, label: 'Используйте X-Sendfile для улучшения производительности при скачивании покупателями объемных прикрепляемых файлов (100 и более Мбайт):'}]
  - name: 'Contact your hosting provider to make sure X-Sendfile is installed on the server.'
    translations: [{code: en, label: 'Contact your hosting provider to make sure X-Sendfile is installed on the server.'}, {code: ru, label: 'Уточните у своего хостинг провайдера, доступен ли для использования X-Sendfile.'}]
  - name: 'Configure your X-Cart installation to support large file downloads.'
    translations: [{code: en, label: 'Configure your X-Cart installation to support large file downloads.'}, {code: ru, label: 'Настройте поддержку скачивания больших файлов для вашей инсталляции X-Cart.'}]
  - name: 'Order #{{value}} doesn''t contain any e-goods'
    translations: [{code: en, label: 'Order #{{value}} doesn’t contain any e-goods. Choose an order that contains e-goods.'}, {code: ru, label: 'С заказом {{value}} не связано никаких электронных товаров. Выберите заказ, содержащий электронные товары.'}]
  - name: 'The endpoint field value must contain the full path'
    translations: [{code: en, label: 'The endpoint field value must contain the full path with the domain name without "https://"'}]
  - name: Block
    translations: [{code: en, label: Block}]
  - name: Ip
    translations: [{code: en, label: Ip}]
  - name: Renew
    translations: [{code: en, label: Renew}]
  - name: 'Unblock and renew'
    translations: [{code: en, label: 'Unblock and renew'}]
XLite\Model\Notification:
  - templatesDirectory: modules/CDev/Egoods/egoods_links
    position: 600
    availableForAdmin: false
    availableForCustomer: true
    enabledForAdmin: false
    enabledForCustomer: true
    adminHeaderEnabled: true
    adminGreetingEnabled: false
    adminSignatureEnabled: true
    customerHeaderEnabled: true
    customerGreetingEnabled: false
    customerSignatureEnabled: true
    editable: true
    module: CDev\Egoods
    translations:
      - code: en
        name: 'E-goods download links (E-goods module)'
        description: 'This notification is sent to the customer when their order containing egoods gets the status Paid.'
        customerSubject: 'Download your digital purchase'
        customerText: '<h2 dir="ltr" style="text-align: center;">Your order is ready, %recipient_name%!</h2><h3 dir="ltr" style="text-align: center;">And we are just as excited as you are<br><br></h3><p dir="ltr">The items listed below have been paid for and are ready for download!</p><p dir="ltr">%dynamic_message%</p><p dir="ltr">If you encounter any difficulty downloading, feel free to contact us.</p>'
      - code: es
        name: 'Enlaces de descarga de productos electrónicos (módulo de productos electrónicos)'
        description: 'Esta notificación se envía al cliente cuando su pedido que contiene egoods obtiene el estado Pagado.'
        customerSubject: 'Descargue su compra digital'
        customerText: '<h2 dir="ltr" style="text-align: center;">¡Tu pedido está listo, %nombre_del_receptor%!</h2><h3 dir="ltr" style="text-align: center;">Y estamos tan emocionados como tú<br><br></h3><p dir="ltr">¡Los artículos que aparecen a continuación han sido pagados y están listos para su descarga! </p><p dir="ltr">%dynamic_message%</p><p dir="ltr">Si encuentra alguna dificultad en la descarga, no dude en ponerse en contacto con nosotros.</p>'
